Get the observer room for an interview
curl --request GET \
--url https://api.rallyuxr.com/api/public/v1/studies/{studyId}/interviews/{interviewBookingId}/observer-room \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.rallyuxr.com/api/public/v1/studies/{studyId}/interviews/{interviewBookingId}/observer-room"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.rallyuxr.com/api/public/v1/studies/{studyId}/interviews/{interviewBookingId}/observer-room', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.rallyuxr.com/api/public/v1/studies/{studyId}/interviews/{interviewBookingId}/observer-room",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.rallyuxr.com/api/public/v1/studies/{studyId}/interviews/{interviewBookingId}/observer-room"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.rallyuxr.com/api/public/v1/studies/{studyId}/interviews/{interviewBookingId}/observer-room")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.rallyuxr.com/api/public/v1/studies/{studyId}/interviews/{interviewBookingId}/observer-room")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"observerRoomId": "<string>",
"interviewBookingId": "<string>",
"studyId": "<string>",
"title": "<string>",
"note": "<string>",
"guestUserIds": [
"<string>"
],
"externalGuests": [
"<string>"
],
"linkWithPassword": "<string>",
"bots": [
{
"observerRoomBotId": "<string>",
"observerRoomId": "<string>",
"status": "SCHEDULED",
"subscriptionStatus": "HEALTHY",
"liveStreamStatus": "NOT_STARTED",
"source": "SCHEDULED",
"video": {
"hasVideo": true,
"downloadUrl": "<string>"
},
"transcript": {
"hasTranscript": true,
"transcriptUrl": "<string>",
"shortSummary": "<string>",
"longSummary": "<string>"
}
}
]
}{
"errors": [
{
"message": "<string>",
"path": [
"<string>"
]
}
]
}UnauthorizedForbidden{Resource} not foundToo Many RequestsInternal Server ErrorStudies
Get the observer room for an interview
Get the observer room for an interview
GET
/
studies
/
{studyId}
/
interviews
/
{interviewBookingId}
/
observer-room
Get the observer room for an interview
curl --request GET \
--url https://api.rallyuxr.com/api/public/v1/studies/{studyId}/interviews/{interviewBookingId}/observer-room \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.rallyuxr.com/api/public/v1/studies/{studyId}/interviews/{interviewBookingId}/observer-room"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.rallyuxr.com/api/public/v1/studies/{studyId}/interviews/{interviewBookingId}/observer-room', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.rallyuxr.com/api/public/v1/studies/{studyId}/interviews/{interviewBookingId}/observer-room",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.rallyuxr.com/api/public/v1/studies/{studyId}/interviews/{interviewBookingId}/observer-room"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.rallyuxr.com/api/public/v1/studies/{studyId}/interviews/{interviewBookingId}/observer-room")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.rallyuxr.com/api/public/v1/studies/{studyId}/interviews/{interviewBookingId}/observer-room")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"observerRoomId": "<string>",
"interviewBookingId": "<string>",
"studyId": "<string>",
"title": "<string>",
"note": "<string>",
"guestUserIds": [
"<string>"
],
"externalGuests": [
"<string>"
],
"linkWithPassword": "<string>",
"bots": [
{
"observerRoomBotId": "<string>",
"observerRoomId": "<string>",
"status": "SCHEDULED",
"subscriptionStatus": "HEALTHY",
"liveStreamStatus": "NOT_STARTED",
"source": "SCHEDULED",
"video": {
"hasVideo": true,
"downloadUrl": "<string>"
},
"transcript": {
"hasTranscript": true,
"transcriptUrl": "<string>",
"shortSummary": "<string>",
"longSummary": "<string>"
}
}
]
}{
"errors": [
{
"message": "<string>",
"path": [
"<string>"
]
}
]
}UnauthorizedForbidden{Resource} not foundToo Many RequestsInternal Server ErrorAuthorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Response
The observer room
The rally userIds associated with the observer room
The external guests associated with the observer room
The full observer room link including the password
The bots associated with the observer room
Show child attributes
Show child attributes